### Method

# EDataServer MsOapxbc get_accounts_sync

since: 3.54

#### Declaration [src]

    JsonObject*
    e_ms_oapxbc_get_accounts_sync (
      EMsOapxbc* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously calls getAccounts() D-Bus method on the Microsoft OAuth2 broker service and returns the result as a `JsonObject`.

The `JsonObject` contains the accounts that are currently registered at the broker, whereby the “accounts” node provides a `JsonArray` of account entries. Note, that the availability of the types and entries needs to be checked by the caller before accessing them. The accounts entries can be inspected e.g. for the “username” and “homeAccountId” fields. Then, one entry needs to be selected and passed as-is to e_ms_oapxbc_acquire_prt_sso_cookie_sync().

Available since: 3.54

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `JsonObject`

The accounts, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.